lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date: Sun, 09 Nov 2003 16:03:21 +0100
From: Jort Slobbe <jortslobbe@...net.nl>
To: jocanor jocanor <jocanor2002@...mail.com>
Cc: bugtraq@...urityfocus.com
Subject: Re: sql injection in phpbb


jocanor jocanor wrote:

>I found a vulnerability en phpbb 2.0.5 and prior, is probably also affect 2.0.6
>
>
>
>this bug don't affect to version 2.0.7 
>
>
>
>phpbb have a list of registereds users, when you click on a memebr of this list, you are requesting data to the database 
>
>
>
>for example:
>
>
>
>http://www.example.com/forum/profile.php?mode=viewprofile&u=2
>
>
>
>this url show the information to the user with the uid = 2, the uid is a number assigned to users in phpbb.
>
>
>
>but it isn't secure, because if you use this url, you can inject sql comands...
>
>
>
>exploit:
>
>
>
>http://www.example.com/profile.php?mode=viewprofile&u='[sqlcode]
>
>
>
>where [sql code] represents the code may be injected.
>
>
>
>
>  
>
I think it doesn't affect on php servers where the magic_quotes are on. 
Because magic_quotes replace ' in \'. And " in \". So it is unsecure 
when you user phpbb 2.0.5 on a server with magic_quotes off.

Regards,

Jort




Powered by blists - more mailing lists